Skip to content

InventoryCopiedFlds⁠

Perform various operations for Symitar parameters.

Operations⁠

getInventoryCopiedFldsSelectFields⁠

POST

Execute the persistent ParameterService getInventoryCopiedFldsSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryCopiedFldsInventoryScreenTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInventoryCopiedFldsSelectFields
POST /nexum/627/persistent/parameter/getInventoryCopiedFldsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InventoryCopiedFldsInventoryScreenType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllInventoryCopiedFldsFields": true,
    "InventoryCopiedFldsFields": {
      "CopiedField": [
        0
      ],
      "InventoryScreenType": true,
      "SubField": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getInventoryCopiedFldsPagedListSelectFields⁠

POST

Execute the persistent ParameterService getInventoryCopiedFldsPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInventoryCopiedFldsPagedListSelectFields
POST /nexum/627/persistent/parameter/getInventoryCopiedFldsPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInventoryCopiedFldsFields": true,
    "InventoryCopiedFldsFields": {
      "CopiedField": [
        0
      ],
      "InventoryScreenType": true,
      "SubField": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchInventoryCopiedFldsPagedSelectFields⁠

POST

Execute the persistent ParameterService searchInventoryCopiedFldsPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchInventoryCopiedFldsPagedSelectFields
POST /nexum/627/persistent/parameter/searchInventoryCopiedFldsPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInventoryCopiedFldsFields": true,
    "InventoryCopiedFldsFields": {
      "CopiedField": [
        0
      ],
      "InventoryScreenType": true,
      "SubField": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateInventoryCopiedFldsByID⁠

POST

Execute the persistent ParameterService updateInventoryCopiedFldsByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryCopiedFldsInventoryScreenTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateInventoryCopiedFldsByID
POST /nexum/627/persistent/parameter/updateInventoryCopiedFldsByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InventoryCopiedFldsInventoryScreenType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "InventoryCopiedFldsFields": {
    "CopiedField": [
      {
        "EntryId": 0,
        "CopiedField": 0
      }
    ],
    "InventoryScreenType": 0,
    "SubField": [
      {
        "EntryId": 0,
        "SubField": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}